Subject: [Mitbadminton] New Badminton Website

From: Kevin Liu <[email-masked]>
Date: Fri, 22 May 2009 14:15:49 -0400

Hi all,

Please check out MIT Badminton Club's new website at badminton.mit.edu

This site will hopefully be our portal for all things related to
badminton at MIT and around the local area.  I highly encourage you to
register for an account (on the right-hand sidebar, click "log-in",
then click "register").  You will automatically be registered as a
contributor, so you can make edits to posts and write comments.  If you
would like to create your own posts or make pages, please shoot me an
email or use the site's contact
form.

See you on the courts,

Kevin